unit EDIC;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
  TDicBox = class(TForm)
    btSave: TButton;
    btESC: TButton;
    Dict: TRichEdit;
    btSort: TButton;
    procedure SortButtonClick(Sender: TObject);
    procedure SaveButtonClick(Sender: TObject);
    procedure ESCButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DicBox: TDicBox;

implementation

uses Unit1;

{$R *.dfm}

procedure TDicBox.SortButtonClick(Sender: TObject);
var
   Tmp: TStringList;
begin
  Tmp := TStringList.Create;
  Tmp.Assign(Dict.Lines);
  Tmp.Sort;
  Dict.Lines.Assign(Tmp);
end;

procedure TDicBox.SaveButtonClick(Sender: TObject);
begin
  Dict.Lines.SaveToFile(Unit1.Form1.PubDicName);
  DicBox.Close;
end;

procedure TDicBox.ESCButtonClick(Sender: TObject);
begin
  DicBox.Close;
end;

end.
